
set(hdrs
	include/pw/core/log.hpp
	include/pw/core/axisangle.hpp
	include/pw/core/core.hpp
	include/pw/core/math.hpp
	include/pw/core/matrixbase.hpp
	include/pw/core/matrix.hpp
	include/pw/core/vector.hpp
	include/pw/core/quaternion.hpp
	include/pw/core/serialize.hpp
	include/pw/core/image.hpp
	include/pw/core/size.hpp
	include/pw/core/timer.hpp
	include/pw/core/globals.hpp
	)

set(srcs
	src/log.cpp
	src/core.cpp
	src/serialize.cpp
	src/timer.cpp
	${CMAKE_SOURCE_DIR}/README.md
	${CMAKE_SOURCE_DIR}/LICENSE
	)

add_library(pwcore
	STATIC
	${hdrs}
	${srcs}
	)

target_include_directories(
	pwcore
	PUBLIC
	include
	)

target_link_libraries(pwcore)



#add_subdirectory(src)
add_subdirectory(tests)

